package com.rc.httpcore.config

import com.rc.httpcore.HttpConfig

class ConfigFactory {

    companion object {
        val buildDebugConfig = ConfigParam.Builder()
            //.baseUrl("https://lab.sxitdlc.com/appTest/")
            .baseUrl("http://192.168.0.248/labSystem/")
//            .fileBrowserBaseUrl("http://180.76.134.43:31007/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            //.mqttServerUri("tcp://180.76.134.43:1883")
            .mqttServerUri("tcp://192.168.0.248:1883")
            .mqttUName("mqtt")
            .mqttUPwd("mqtt@zd1883")
            .build()

        val buildReleaseConfig = ConfigParam.Builder()
            .baseUrl("http://192.168.0.248/labSystem/")
            .fileBrowserBaseUrl("http://192.168.0.248/labSystem/")
            .httpStrategy(HttpConfig.HTTP_STRATEGY_Retrofit)
            .mqttServerUri("tcp://192.168.0.248:1883")
            .mqttUName("mqtt")
            .mqttUPwd("mqtt@zd1883")
            .build()
    }

}